Bug 169747 - [new port] emulators/wine-mono-devel: new data port for wine-devel
Summary: [new port] emulators/wine-mono-devel: new data port for wine-devel
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Gerald Pfeifer
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-07-09 20:10 UTC by David Naylor
Modified: 2012-08-08 01:00 UTC (History)
0 users

See Also:


Attachments
file.shar (1.99 KB, text/plain)
2012-07-09 20:10 UTC, David Naylor
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description David Naylor 2012-07-09 20:10:09 UTC
Add a package to support mono as required by wine-1.5.6+

Fix: Patch attached with submission follows:
Comment 1 Gerald Pfeifer freebsd_committer 2012-07-14 02:31:20 UTC
Responsible Changed
From-To: freebsd-ports-bugs->gerald

I'll take this.
Comment 2 dfilter service freebsd_committer 2012-08-08 00:55:21 UTC
Author: gerald
Date: Tue Aug  7 23:55:13 2012
New Revision: 302265
URL: http://svn.freebsd.org/changeset/ports/302265

Log:
  Mono is an Open Source and cross-platform implementation of the .NET
  framework.  Wine can use a Windows build of Mono to run .NET applications.
  
  This new ports provides such a build.
  
  PR:		169747
  Submitted by:	David Naylor <naylor.b.david@gmail.com>

Added:
  head/emulators/wine-mono/
  head/emulators/wine-mono/Makefile   (contents, props changed)
  head/emulators/wine-mono/distinfo   (contents, props changed)
  head/emulators/wine-mono/pkg-descr   (contents, props changed)
Modified:
  head/emulators/Makefile   (contents, props changed)

Modified: head/emulators/Makefile
==============================================================================
--- head/emulators/Makefile	Tue Aug  7 23:22:17 2012	(r302264)
+++ head/emulators/Makefile	Tue Aug  7 23:55:13 2012	(r302265)
@@ -193,6 +193,7 @@
     SUBDIR += wine-doors
     SUBDIR += wine-gecko
     SUBDIR += wine-gecko-devel
+    SUBDIR += wine-mono
     SUBDIR += wxmupen64plus
     SUBDIR += x48
     SUBDIR += xbraitenberg

Added: head/emulators/wine-mono/Makefile
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/emulators/wine-mono/Makefile	Tue Aug  7 23:55:13 2012	(r302265)
@@ -0,0 +1,31 @@
+# New ports collection makefile for:	wine-mono-devel
+# Date created:				2012-08-08
+# Whom:					David Naylor <naylor.b.david@gmail.com>
+#
+# $FreeBSD$
+
+PORTNAME=	wine-mono
+DISTVERSION=	0.0.4
+CATEGORIES=	emulators
+MASTER_SITES=	SF/wine/Wine%20Mono/${DISTVERSION}
+EXTRACT_SUFX=	.msi
+EXTRACT_ONLY=
+
+MAINTAINER=	naylor.b.david@gmail.com
+COMMENT=	Mono .NET implementation for Wine development branch (HTML support)
+
+LICENSE=	MIT GPLv2 LGPL20
+LICENSE_COMB=	multi
+
+NO_BUILD=	yes
+PLIST_SUB+=	MONO_VERSION="${DISTVERSION}"
+DATADIR=	${PREFIX}/share/wine
+PLIST_FILES=	%%DATADIR%%/mono/wine-mono-%%MONO_VERSION%%.msi
+PLIST_DIRSTRY=	%%DATADIR%%/mono %%DATADIR%%
+
+do-install:
+	@${MKDIR} ${DATADIR}/mono
+	${INSTALL_DATA} ${DISTDIR}/wine-mono-${DISTVERSION}.msi \
+		${DATADIR}/mono
+
+.include <bsd.port.mk>

Added: head/emulators/wine-mono/distinfo
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/emulators/wine-mono/distinfo	Tue Aug  7 23:55:13 2012	(r302265)
@@ -0,0 +1,2 @@
+SHA256 (wine-mono-0.0.4.msi) = 15d8a612cdeca4eff3137353f29fdeb7a99e055cd633844c91cd00e0186b8882
+SIZE (wine-mono-0.0.4.msi) = 44408320

Added: head/emulators/wine-mono/pkg-descr
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/emulators/wine-mono/pkg-descr	Tue Aug  7 23:55:13 2012	(r302265)
@@ -0,0 +1,4 @@
+Mono is an Open Source and cross-platform implementation of the .NET
+framework.  Wine can use a Windows build of Mono to run .NET applications.
+
+WWW: http://wiki.winehq.org/Mono
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 3 Gerald Pfeifer freebsd_committer 2012-08-08 00:55:28 UTC
State Changed
From-To: open->closed

Thanks a lot for your contribution and volunteering as a maintainer, 
David. 

I committed the patch with some minor tweaks to pkg-message and 
renaming the port to just wine-mono for now per our e-mail exchange.